#include <avr/io.h>
#include <util/delay.h>
#include "spi.h"
#include "25LC080.h"
#include "lcd.h"

int main(void) {
	spiInit();
	lcdInit();
	lcdInitPrintf();
	//test zapisu tablicy
	uint8_t testString[] = "Tes";
	eepromWriteBytes(0, testString, sizeof(testString));
	while (eepromIsBusy()) _delay_ms(1);
	uint8_t buffer[sizeof(testString)];
	eepromReadBytes(0, buffer, sizeof(testString));
	printf((char*)buffer);
	//test zapisu bajtu
	eepromWriteByte(789, 't');
	while (eepromIsBusy()) _delay_ms(1);
	printf("%c", eepromReadByte(789));
	while(1){ }
}